libio-socket-inet6-perl_2.72-2_all.deb


Advertisement

Description

libio-socket-inet6-perl - object interface for AF_INET6 domain sockets

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libio-socket-inet6-perl_2.72-2_all.deb
Package name libio-socket-inet6-perl
Package version 2.72
Package release 2
Package architecture all
Package type deb
Category perl
Homepage https://metacpan.org/release/IO-Socket-INET6
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 13.51 KB
Installed size 71.00 KB
IO::Socket::INET6 provides an object interface to create and use sockets
in the AF_INET6 domain. It is built upon the IO::Socket interface and
inherits all the methods defined by IO::Socket.

Alternatives

Package Version Architecture Repository
libio-socket-inet6-perl_2.72-2_all.deb 2.72 all Ubuntu Main
libio-socket-inet6-perl - - -

Requires

Name Value
libsocket6-perl -
perl -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libio-socket-inet6-perl_2.72-2_all.deb
Source Package libio-socket-inet6-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libio-socket-inet6-perl deb package:
    # sudo apt-get install libio-socket-inet6-perl

Files

Path
/usr/share/doc/libio-socket-inet6-perl/changelog.Debian.gz
/usr/share/doc/libio-socket-inet6-perl/copyright
/usr/share/man/man3/IO::Socket::INET6.3pm.gz
/usr/share/perl5/IO/Socket/INET6.pm

Changelog

2015-06-06 - Salvatore Bonaccorso <carnil@debian.org>
libio-socket-inet6-perl (2.72-2) unstable; urgency=medium
* Team upload
* Update Vcs-Browser URL to cgit web frontend
* Reformat debian/control with cme
* Declare the package autopkgtestable
* Declare compliance with Debian policy 3.9.6
* Add explicit Build-Depends on libmodule-build-perl
2014-03-22 - Daniel Lintott <daniel@serverb.co.uk>
libio-socket-inet6-perl (2.72-1) unstable; urgency=medium
[ gregor herrmann ]
* Remove Masahito Omote from the Uploaders field as per request of the
MIA team. Thanks to Ana Guerrero Lopez for the bug report.
(Closes: #738886)
[ Daniel Lintott ]
* Imported Upstream version 2.72
* Add myself to uploaders
2013-11-09 - Damyan Ivanov <dmn@debian.org>
libio-socket-inet6-perl (2.71-1) unstable; urgency=low
* Team upload
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ Damyan Ivanov ]
* Imported Upstream version 2.71
* drop spelling.patch, applied upstream
* drop trailing slash from metacpan URLs
* claim conformance with Policy 3.9.5
2011-12-09 - gregor herrmann <gregoa@debian.org>
libio-socket-inet6-perl (2.69-2) unstable; urgency=low
[ Fabrizio Regalli ]
* Replaced changelog with copyright word in d/changelog
[ gregor herrmann ]
* Add build dependency on netbase (debian/control) and check if
localhost exists before running tests (debian/rules). Thanks to Daniel
Schepler for the bug report. (Closes: #651537)
* Remove versions from (build) dependencies, nothing older in the
archive.
* Lowercase short description.
* Switch to debhelper compatibility level 8.
* Add /me to Uploaders.
* Add libtest-pod-coverage-perl to Build-Depends-Indep.
* Add a patch to fix a spelling mistake.
2011-11-28 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libio-socket-inet6-perl (2.69-1) unstable; urgency=low
* New upstream release (Closes: #650249)
* Adopting package by Debian Perl Group, with Masahito Omote also in
Uploaders.
* debian/copyright: updated to DEP5
* debian/control: added Vcs-Git, Vcs-Browser, and Homepage.
2011-11-28 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libio-socket-inet6-perl (2.67-0.1) unstable; urgency=low
* Non-maintainer upload
* New upstream release (Closes: #648939)
* minimize debian/rules
* bump Standards-Version to 3.9.2 (no changes needed)
2011-01-16 - Salvatore Bonaccorso <carnil@debian.org>
libio-socket-inet6-perl (2.65-1.1) unstable; urgency=high
* Non-maintainer upload.
* Revert changes to the dh_clean call in the install target: use dh_prep -k.
* Set urgency to high as requested by the release team.
2010-09-12 - Masahito Omote <omote@debian.org>
libio-socket-inet6-perl (2.65-1) unstable; urgency=low
* New upstream release (closes: Bug#575531)
* Close #480500 that was already fixed in 2.54. (closes: Bug#480500)
* Standards-Version: 3.9.1
2009-05-04 - Sean Finney <seanius@debian.org>
libio-socket-inet6-perl (2.54-1.1) unstable; urgency=low
* Non-maintainer upload.
* Fix for error resolving addresses with AF_UNSPEC (closes: #522478).
2008-05-12 - Masahito Omote <omote@debian.org>
libio-socket-inet6-perl (2.54-1) unstable; urgency=low
* New upstream release (closes: Bug#479564)
* Bump Standards-Version to 3.7.3.0.
* debian/compat: set 7 and Depends: debhelper (>= 7).

See Also

Package Description
libio-socket-ssl-perl_2.024-1_all.deb Perl module implementing object oriented interface to SSL sockets
libio-string-perl_1.08-3_all.deb Emulate IO::File interface for in-core strings
libio-stringy-perl_2.110-5_all.deb Perl modules for IO from scalars and arrays
libipa-hbac-dev_1.13.4-1ubuntu1_amd64.deb FreeIPA HBAC Evaluator library
libipa-hbac0_1.13.4-1ubuntu1_amd64.deb FreeIPA HBAC Evaluator library
libipc-run-perl_0.94-1_all.deb Perl module for running processes
libipc-signal-perl_1.00-6.2_all.deb utility functions dealing with signals for Perl
libipc-system-simple-perl_1.25-3_all.deb Perl module to run commands simply, with detailed diagnostics
libipmiconsole-dev_1.4.11-1ubuntu1_amd64.deb GNU IPMI - ipmiconsole development package
libipmiconsole2_1.4.11-1ubuntu1_amd64.deb GNU IPMI - Serial-over-Lan library
libipmidetect-dev_1.4.11-1ubuntu1_amd64.deb GNU IPMI - ipmidetect development package
libipmidetect0_1.4.11-1ubuntu1_amd64.deb GNU IPMI - IPMI node detection library
libipmimonitoring-dev_1.4.11-1ubuntu1_amd64.deb GNU IPMI - ipmimonitoring development package
libipmimonitoring5a_1.4.11-1ubuntu1_amd64.deb GNU IPMI - Sensor monitoring library
libipset-dev_6.29-1_amd64.deb development files for IP sets
Advertisement
Advertisement